#ifndef KFORMULA_FACTORY_H
#define KFORMULA_FACTORY_H

#include <KoFactory.h>
//#include <kaboutdata.h>

class KInstance;
class KInstance;
class KAboutData;

class KFormulaFactory : public KoFactory
{
    Q_OBJECT
  TQ_OBJECT
public:
    KFormulaFactory( TQObject* parent = 0, const char* name = 0 );
    ~KFormulaFactory();

    virtual KParts::Part *createPartObject( TQWidget *parentWidget = 0, const char *widgetName = 0, TQObject *parent = 0, const char *name = 0, const char *classname = "KoDocument", const TQStringList &args = TQStringList() );

    static KInstance* global();

    static KAboutData* aboutData();

private:
    static KInstance* s_global;
    static KAboutData* s_aboutData;
};

#endif
